function [estLabels,Y] = mySpectralClustering(W,K,normalized);
% Inputs:
%   W: weighted adjacency matrix of size N x N
%   K: number of output clusters
%   normalized: 1 for normalized Laplacian, 0 for unnormalized
% Outputs:
%   estLabels: estimated cluster labels
%   Y: transformed data matrix of size K x N

if normalized == 0
    % your code goes here

    estLabels = kmeans(Y',K,'Replicates',100);
else
    % your code goes here
        
    estLabels = kmeans(Y',K,'Replicates',100);
end
