"""
Spectral Clustering Demo - mySpectralClustering (incomplete version)

ECE 510

python version: Python 3.7.2

Spring 2019
"""

import numpy as np
import scipy as sp
import math
from numpy import linalg as lin
from sklearn.cluster import KMeans
from scipy.spatial.distance import squareform, pdist
from scipy.optimize import linear_sum_assignment

def mySpectralClustering(W, K, normalized):
    r"""
    Customized version of Spectral Clustering

    Inputs:
    -------
        W: weighted adjacency matrix of size N x N
        K: number of output clusters
        normalized: 1 for normalized Laplacian, 0 for unnormalized
    
    Outputs:
    -------
        estLabels: estimated cluster labels
        Y: transformed data matrix of size K x N
    """

    if normalized == 0:
        pass
    else:
        pass
    
